Package org.opensaml.xacml.ctx

# Interface StatusCodeType

All Superinterfaces:
  `XACMLObject`, `XMLObject`

All Known Implementing Classes:
  `StatusCodeTypeImpl`

public interface StatusCodeType extends XACMLObject
XACML context StatusCode schema type.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`DEFAULT_ELEMENT_LOCAL_NAME`
Local name of the StatusCode element.
`static final QName`
`DEFAULT_ELEMENT_NAME`
Default element name.
`static final String`
`SC_MISSING_ATTRIBUTE`
Missing attribute status code.
`static final String`
`SC_OK`
Ok status code.
`static final String`
`SC_PROCESSING_ERROR`
Processing error status code.
`static final String`
`SC_SYNTAX_ERROR`
Syntax error status code.
`static final String`
`TYPE_LOCAL_NAME`
Local name of the XSI type.
`static final QName`
`TYPE_NAME`
QName of the XSI type XACML20.
`static final String`
`VALUE_ATTTRIB_NAME`
Name of the Value attribute.

## Method Summary

Modifier and Type
Method
Description
`StatusCodeType`
`getStatusCode()`
Gets the status code.
`String`
`getValue()`
Gets the value of the attribute named value of the status element.
`void`
`setStatusCode(StatusCodeType code)`
Sets the status code.
`void`
`setValue(String value)`
Sets the attribute named value of the status elements.

### Methods inherited from interface org.opensaml.core.xml.XMLObject

`detach, ensureDOM, getDOM, getElementQName, getIDIndex, getNamespaceManager, getNamespaces, getNoNamespaceSchemaLocation, getObjectMetadata, getOrderedChildren, getParent, getSchemaLocation, getSchemaType, hasChildren, hasParent, isNil, isNilXSBoolean, releaseChildrenDOM, releaseDOM, releaseParentDOM, resolveID, resolveIDFromRoot, setDOM, setNil, setNil, setNoNamespaceSchemaLocation, setParent, setSchemaLocation`

## Field Details

### DEFAULT_ELEMENT_LOCAL_NAME

static final String DEFAULT_ELEMENT_LOCAL_NAME
Local name of the StatusCode element.

See Also:
  - Constant Field Values

### DEFAULT_ELEMENT_NAME

static final QName DEFAULT_ELEMENT_NAME
Default element name.

### TYPE_LOCAL_NAME

static final String TYPE_LOCAL_NAME
Local name of the XSI type.

See Also:
  - Constant Field Values

### TYPE_NAME

static final QName TYPE_NAME
QName of the XSI type XACML20.

### VALUE_ATTTRIB_NAME

static final String VALUE_ATTTRIB_NAME
Name of the Value attribute.

See Also:
  - Constant Field Values

### SC_MISSING_ATTRIBUTE

static final String SC_MISSING_ATTRIBUTE
Missing attribute status code.

See Also:
  - Constant Field Values

### SC_OK

static final String SC_OK
Ok status code.

See Also:
  - Constant Field Values

### SC_PROCESSING_ERROR

static final String SC_PROCESSING_ERROR
Processing error status code.

See Also:
  - Constant Field Values

### SC_SYNTAX_ERROR

static final String SC_SYNTAX_ERROR
Syntax error status code.

See Also:
  - Constant Field Values

## Method Details

### getStatusCode

StatusCodeType getStatusCode()
Gets the status code.

Returns:
  status code

### setStatusCode

void setStatusCode(StatusCodeType code)
Sets the status code.

Parameters:
  `code` - status code

### getValue

String getValue()
Gets the value of the attribute named value of the status element.

Returns:
  The value of the attribute named value for the status element

### setValue

void setValue(String value)
Sets the attribute named value of the status elements.

Parameters:
  `value` - The wanted value for the attribute value